<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.16" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structscl__scan__result__t" kind="struct" language="C++" prot="public">
    <compoundname>scl_scan_result_t</compoundname>
    <includes local="no">scl_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structscl__scan__result__t_1a2d48b9ce5c7b331ba0eb3d0085048b23" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structscl__ssid__t">scl_ssid_t</ref></type>
        <definition>scl_ssid_t SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>Service Set Identification (i.e. </para>
        </briefdescription>
        <detaileddescription>
<para>Name of Access Point) <linebreak />
 </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="200" column="16" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="200" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a7a56c5ec5993ee1d118e3ffe94b2151e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structscl__mac__t">scl_mac_t</ref></type>
        <definition>scl_mac_t BSSID</definition>
        <argsstring />
        <name>BSSID</name>
        <briefdescription>
<para>Basic Service Set Identification (i.e. </para>
        </briefdescription>
        <detaileddescription>
<para>MAC address of Access Point) <linebreak />
 </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="201" column="15" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="201" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1ac303b69da3c469c92299a6ff260e2859" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t signal_strength</definition>
        <argsstring />
        <name>signal_strength</name>
        <briefdescription>
<para>Receive Signal Strength Indication in dBm. </para>
        </briefdescription>
        <detaileddescription>
<para>&lt;-90=Very poor, &gt;-30=Excellent </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="202" column="13" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="202" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a2deb22a1108e6c9371d92d496c07da01" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t max_data_rate</definition>
        <argsstring />
        <name>max_data_rate</name>
        <briefdescription>
<para>Maximum data rate in kilobits/s <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="203" column="14" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="203" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a098f4e257c2ff5999c247cb2cb2530d2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="scl__types_8h_1a2f3bd2bff982264490a05a98fe12a92f">scl_bss_type_t</ref></type>
        <definition>scl_bss_type_t bss_type</definition>
        <argsstring />
        <name>bss_type</name>
        <briefdescription>
<para>Network type <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="204" column="20" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="204" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a8410644c7ed11ab7094fa5328612de73" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="scl__types_8h_1af9ee3597a0970d1df20492b765892a67">scl_security_t</ref></type>
        <definition>scl_security_t security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Security type <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="205" column="20" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="205" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a715f5cb061d11eb75981741eda4dafcd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
<para>Radio channel that the AP beacon was received on <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="206" column="13" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="206" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1ad9563fe35a27d0b365b73adc0b871714" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="scl__types_8h_1ad051fe45f0dabb3458843ea84a66a64d">scl_802_11_band_t</ref></type>
        <definition>scl_802_11_band_t band</definition>
        <argsstring />
        <name>band</name>
        <briefdescription>
<para>Radio band <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="207" column="23" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="207" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a4f626e97f0f0ea28fea702a7ecaad54f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ccode[2]</definition>
        <argsstring>[2]</argsstring>
        <name>ccode</name>
        <briefdescription>
<para>Two letter ISO country code from AP <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="208" column="13" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="208" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1aa2585d779da0ab21273a8d92de9a0ebe" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t flags</definition>
        <argsstring />
        <name>flags</name>
        <briefdescription>
<para>flags <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="209" column="13" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="209" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a3b12147732965a4802397fe97eaf1ef6" kind="variable" mutable="no" prot="public" static="no">
        <type>struct scl_scan_result *</type>
        <definition>struct scl_scan_result* next</definition>
        <argsstring />
        <name>next</name>
        <briefdescription>
<para>Pointer to the next scan result <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="210" column="26" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="210" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a460ec020636ddecd8758543cfa83e101" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* ie_ptr</definition>
        <argsstring />
        <name>ie_ptr</name>
        <briefdescription>
<para>Pointer to received Beacon/Probe Response IE(Information Element) <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="211" column="13" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="211" />
      </memberdef>
      <memberdef id="structscl__scan__result__t_1a5530db0834a2796234ed42c3fcb5c0f4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t ie_len</definition>
        <argsstring />
        <name>ie_len</name>
        <briefdescription>
<para>Length of IE(Information Element) <linebreak />
 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="212" column="14" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="212" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure for storing scan results. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="3">
        <label>scl_mac_t</label>
        <link refid="structscl__mac__t" />
      </node>
      <node id="2">
        <label>scl_ssid_t</label>
        <link refid="structscl__ssid__t" />
      </node>
      <node id="1">
        <label>scl_scan_result_t</label>
        <link refid="structscl__scan__result__t" />
        <childnode refid="2" relation="usage">
          <edgelabel>SSID</edgelabel>
        </childnode>
        <childnode refid="3" relation="usage">
          <edgelabel>BSSID</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="213" bodyfile="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" bodystart="198" column="1" file="C:/sprint/scl_scl_mtb_integration_review/using_shell_scripts/inc/scl_types.h" line="199" />
    <listofallmembers>
      <member prot="public" refid="structscl__scan__result__t_1ad9563fe35a27d0b365b73adc0b871714" virt="non-virtual"><scope>scl_scan_result_t</scope><name>band</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a098f4e257c2ff5999c247cb2cb2530d2" virt="non-virtual"><scope>scl_scan_result_t</scope><name>bss_type</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a7a56c5ec5993ee1d118e3ffe94b2151e" virt="non-virtual"><scope>scl_scan_result_t</scope><name>BSSID</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a4f626e97f0f0ea28fea702a7ecaad54f" virt="non-virtual"><scope>scl_scan_result_t</scope><name>ccode</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a715f5cb061d11eb75981741eda4dafcd" virt="non-virtual"><scope>scl_scan_result_t</scope><name>channel</name></member>
      <member prot="public" refid="structscl__scan__result__t_1aa2585d779da0ab21273a8d92de9a0ebe" virt="non-virtual"><scope>scl_scan_result_t</scope><name>flags</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a5530db0834a2796234ed42c3fcb5c0f4" virt="non-virtual"><scope>scl_scan_result_t</scope><name>ie_len</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a460ec020636ddecd8758543cfa83e101" virt="non-virtual"><scope>scl_scan_result_t</scope><name>ie_ptr</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a2deb22a1108e6c9371d92d496c07da01" virt="non-virtual"><scope>scl_scan_result_t</scope><name>max_data_rate</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a3b12147732965a4802397fe97eaf1ef6" virt="non-virtual"><scope>scl_scan_result_t</scope><name>next</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a8410644c7ed11ab7094fa5328612de73" virt="non-virtual"><scope>scl_scan_result_t</scope><name>security</name></member>
      <member prot="public" refid="structscl__scan__result__t_1ac303b69da3c469c92299a6ff260e2859" virt="non-virtual"><scope>scl_scan_result_t</scope><name>signal_strength</name></member>
      <member prot="public" refid="structscl__scan__result__t_1a2d48b9ce5c7b331ba0eb3d0085048b23" virt="non-virtual"><scope>scl_scan_result_t</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>